# Profile List

### <mark style="background-color:yellow;">**Get User's Profile List**</mark>

<pre><code><strong>GET http://127.0.0.1:2268/profiles
</strong></code></pre>

### Querry Params

| Name   | Type      | Describtion             |
| ------ | --------- | ----------------------- |
| q      | `String`  | Search for profile name |
| full   | `Boolean` | default: true           |
| folder | `String`  | Search by folder ID     |

### Example

* Curl example

```
curl GET http://127.0.0.1:2268/profiles
```

* Javascript example

```
const hidemyacc = new Hidemyacc();
const response = await hidemyacc.profiles();
```

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

| Name | Type       | Description           |
| ---- | ---------- | --------------------- |
| data | `Object[]` | profiles List of user |

### <mark style="background-color:yellow;">Success response example</mark>

**Success response example - `Success-Example`**

```
Status code: 200 OK
{
    "code": 1,
    "data": [
        {
            "id": "6481649c3bb6b407243d9fd3",
            "name": "Scarlet Henriette",
            "notes": "",
            "browserSource": "marco",
            "browserType": "chrome",
            "proxy": {
                "proxyEnabled": false,
                "autoProxyServer": "",
                "autoProxyUsername": "",
                "autoProxyPassword": "",
                "mode": "none",
                "port": 0,
                "autoProxyRegion": "us",
                "torProxyRegion": "us"
            }
        },
        {
            "id": "648159d23bb6b4072438989a",
            "name": "free 3",
            "notes": "",
            "browserSource": "ghosty",
            "browserType": "chrome",
            "proxy": {
                "proxyEnabled": true,
                "autoProxyServer": "",
                "autoProxyUsername": "",
                "autoProxyPassword": "",
                "mode": "free",
                "port": 0,
                "autoProxyRegion": "kr",
                "torProxyRegion": "us"
            }
        }
    ]
}

```

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

<table><thead><tr><th width="215.33333333333331">Name</th><th width="200">Type</th><th>Description</th></tr></thead><tbody><tr><td>402</td><td></td><td>API supported from Team plan</td></tr></tbody></table>

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
Status code 402: Payment required
{
    "code": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemyacc.com/hidemyacc-3.0-features/hidemyacc-3.0-api/profile-api/profile-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
